import * as $dara from '@darabonba/typescript';
import { AssociateEipAddressBatchResponseBody } from "./AssociateEipAddressBatchResponseBody";
export declare class AssociateEipAddressBatchResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AssociateEipAddressBatchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
